org.springframework.data.convert

## Class CustomConversions.ConverterConfiguration

- java.lang.Object
- - org.springframework.data.convert.CustomConversions.ConverterConfiguration

Enclosing class:
  CustomConversions

    protected static class CustomConversions.ConverterConfiguration
    extends Object

Value object holding the actual `CustomConversions.StoreConversions` and custom `converters` configured for registration.

Since:
  2.3
Author:
  Christoph Strobl

### Constructor Summary

Constructors
Constructor and Description
`ConverterConfiguration(CustomConversions.StoreConversions storeConversions, List<?> userConverters)` Create a new ConverterConfiguration holding the given `CustomConversions.StoreConversions` and user defined converters.

`ConverterConfiguration(CustomConversions.StoreConversions storeConversions, List<?> userConverters, Predicate<GenericConverter.ConvertiblePair> converterRegistrationFilter)`
Create a new ConverterConfiguration holding the given `CustomConversions.StoreConversions` and user defined converters as well as a `Collection` of `GenericConverter.ConvertiblePair` for which to skip the registration of default converters.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConverterConfiguration

    public ConverterConfiguration(CustomConversions.StoreConversions storeConversions,
                                  List<?> userConverters)

Create a new ConverterConfiguration holding the given `CustomConversions.StoreConversions` and user defined converters.

Parameters:
  `storeConversions` - must not be null.
  `userConverters` - must not be null use `Collections.emptyList()` instead.

#### ConverterConfiguration

    public ConverterConfiguration(CustomConversions.StoreConversions storeConversions,
                                  List<?> userConverters,
                                  Predicate<GenericConverter.ConvertiblePair> converterRegistrationFilter)

Create a new ConverterConfiguration holding the given `CustomConversions.StoreConversions` and user defined converters as well as a `Collection` of `GenericConverter.ConvertiblePair` for which to skip the registration of default converters.
This allows store implementations to modify default converter registration based on specific needs and configurations. User defined converters will are never subject of filtering.

Parameters:
  `storeConversions` - must not be null.
  `userConverters` - must not be null use `Collections.emptyList()` instead.
  `converterRegistrationFilter` - must not be null..